Search locations by name and optionally filter by type
curl --request GET \
--url https://www.tryfundable.ai/api/v1/location/search \
--header 'Authorization: Bearer <token>'import requests
url = "https://www.tryfundable.ai/api/v1/location/search"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.tryfundable.ai/api/v1/location/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"locations": [
{
"permalink": "san-francisco-california",
"name": "San Francisco",
"location_type": "CITY"
},
{
"permalink": "san-francisco-bay-area",
"name": "San Francisco Bay Area",
"location_type": "REGION"
},
{
"permalink": "california",
"name": "California",
"location_type": "STATE"
}
]
},
"meta": {
"total_count": 3
}
}Filters
Location Search API
Look up cities, states, regions, and countries by name with fuzzy matching. Free, 0 credits.
GET
/
location
/
search
Search locations by name and optionally filter by type
Authorizations
API key provided as a Bearer token
Query Parameters
Location name to search for
Example:
"san francisco"
Filter by specific location type
Available options:
CITY, STATE, REGION, COUNTRY Example:
"CITY"
Alias for 'type' parameter
Available options:
CITY, STATE, REGION, COUNTRY Example:
"CITY"
Last modified on July 27, 2026
⌘I

